1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

PHP and MySQL versions

Discussion in 'Plesk 11.x for Linux' started by Azurel, Jan 31, 2013.

  1. Azurel

    Azurel Regular Pleskian

    21
    57%
    Joined:
    Jan 29, 2013
    Messages:
    431
    Likes Received:
    1
    Location:
    Germany
    Hi.

    My root server hoster gives this system settings:

    CentOS 6 (PHP 5.3.2, MySQL 5.1, Apache 2.2) with Plesk 10

    He said I can upgrade in Plesk 10 to Plesk 11. Thats fine. :)

    But I need PHP 5.4.x and MySQL 5.5.x for my projects. CentOS have this.
    Source: http://dl.iuscommunity.org/pub/ius/stable/Redhat/6/SRPMS/repoview/

    Can I just update CentOS 6 to PHP 5.4.10 and MySQL 5.5.29 and Plesk 11 working fine with this? I have not worked with Plesk yet, so I have to ask the question. ;)

    ---------------

    I need graphviz in my system (http://www.graphviz.org). Is here a problem with Plesk and: yum install 'graphviz*' ?
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,543
    Likes Received:
    1,238
    Location:
    Novosibirsk, Russia
  3. Azurel

    Azurel Regular Pleskian

    21
    57%
    Joined:
    Jan 29, 2013
    Messages:
    431
    Likes Received:
    1
    Location:
    Germany
    That's great to hear. How it looks with php 5.4.x? Can I upgrade to PHP 5.4.x and working with Plesk? ;)
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,543
    Likes Received:
    1,238
    Location:
    Novosibirsk, Russia
    I would not recommend this until the official announcement of 5.4 support.
     
  5. Azurel

    Azurel Regular Pleskian

    21
    57%
    Joined:
    Jan 29, 2013
    Messages:
    431
    Likes Received:
    1
    Location:
    Germany
    With "official" you mean Plesk? Is there a roadmap when plesk supports php 5.4.x?
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,543
    Likes Received:
    1,238
    Location:
    Novosibirsk, Russia
    Official support of PHP 5.4.x is expected in Q1 2013.
     
  7. SylvioB

    SylvioB New Pleskian

    14
    60%
    Joined:
    Oct 3, 2011
    Messages:
    16
    Likes Received:
    0
    Hello
    I just need some information about this topic. I actually run a server with CentOS 5, Plesk 11.0.9 and MySQL 5.5. I planned to migrate all website on a new server that runs CentOS 6, Plesk 11.0.9 but actually this one have MySQL 5.1. The problem is that I don't have in the Updates options (from the update panel pages) the possibility to choose to upgrade to MySQL 5.5 as it was the case from a while on the CentOS 5 server.
    Is MySQL 5.5 available only on CentOS 5 ? not on CentOS 6 ?
    Or is it a way to force this upgrade from the update panel ?
    Do I need to change the standard repository ?
    Thanks a lot for help
     
  8. Azurel

    Azurel Regular Pleskian

    21
    57%
    Joined:
    Jan 29, 2013
    Messages:
    431
    Likes Received:
    1
    Location:
    Germany
    In CentOS 6.4 with Plesk 11 is installed MySQL 5.1.69. So now I want upgrade to 5.5.x but found nothing to do it. How I can install 5.5.x in plesk?

    I tried https://xxxxxx/admin/update/product/ but here is no MySQL 5.5.x.

    In shell with "/usr/local/psa/admin/bin/autoinstaller" I get only:
    "BUSY: Update operation was locked by another update process."

    :(

    EDIT: "/usr/local/psa/admin/bin/autoinstaller" working now, but found nothing for mysql 5.5.x
     
    Last edited: May 14, 2013
Loading...